summaryrefslogtreecommitdiff
path: root/source4/utils/tests
diff options
context:
space:
mode:
Diffstat (limited to 'source4/utils/tests')
-rwxr-xr-xsource4/utils/tests/test_net.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/source4/utils/tests/test_net.sh b/source4/utils/tests/test_net.sh
new file mode 100755
index 0000000000..3406c87cda
--- /dev/null
+++ b/source4/utils/tests/test_net.sh
@@ -0,0 +1,39 @@
+#!/bin/sh
+# Blackbox tests for net
+
+SERVER=$1
+USERNAME=$2
+PASSWORD=$3
+DOMAIN=$4
+shift 4
+
+failed=0
+
+samba4bindir=`dirname $0`/../../bin
+smbclient=$samba4bindir/smbclient
+
+testit() {
+ name="$1"
+ shift
+ cmdline="$*"
+ echo "test: $name"
+ $cmdline
+ status=$?
+ if [ x$status = x0 ]; then
+ echo "success: $name"
+ else
+ echo "failure: $name"
+ failed=`expr $failed + 1`
+ fi
+ return $status
+}
+
+testit "domain join" $VALGRIND bin/net join $DOMAIN $CONFIGURATION -W "$DOMAIN" -U"$USERNAME%$PASSWORD" $@ || failed=`expr $failed + 1`
+
+testit "Test login with --machine-pass without kerberos" $VALGRIND $smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp --machine-pass -k no || failed=`expr $failed + 1`
+
+testit "Test login with --machine-pass and kerberos" $VALGRIND $smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp --machine-pass -k yes || failed=`expr $failed + 1`
+
+exit $failed
+
+